Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.utils
Class ResourceLimits

    java.lang.Object
      org.jasig.portal.utils.ResourceLimits

    public class ResourceLimits

extends java.lang.Object

Basic resource limits Limits include : hard upper/lower limits, desired size, activeLimit, update time and prune factor.

Version:
  $Revision: 1.3 $
Author:
  Peter Kharchenko pkharchenko@interactivebusiness.com

Field Summary
`protected int` | `maxActiveSize`
`protected int` | `maxSize`
`protected int` | `minSize`
`protected int` | `optimalSize`
`protected float` | `pruneFactor`
`protected int` | `updateTime`

Constructor Summary
`ResourceLimits()`

Method Summary
`int` | `getMaxActiveSize()`
`int` | `getMaxSize()`
`int` | `getMinSize()`
`int` | `getOptimalSize()`
`float` | `getPruneFactor()`
`int` | `getUpdateTime()`
`void` | `setMaxActiveSize(int maxActiveSize)`
`void` | `setMaxSize(int maxSize)`
`void` | `setMinSize(int minSize)`
`void` | `setOptimalSize(int optimalSize)`
`void` | `setPruneFactor(float pruneFactor)`
`void` | `setUpdateTime(int updateTime)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### maxSize

    protected int maxSize

### minSize

    protected int minSize

### optimalSize

    protected int optimalSize

### maxActiveSize

    protected int maxActiveSize

### updateTime

    protected int updateTime

### pruneFactor

    protected float pruneFactor

Constructor Detail

### ResourceLimits

    public ResourceLimits()

Method Detail

### getMaxSize

    public int getMaxSize()

### getMinSize

    public int getMinSize()

### getOptimalSize

    public int getOptimalSize()

### getPruneFactor

    public float getPruneFactor()

### getUpdateTime

    public int getUpdateTime()

### setUpdateTime

    public void setUpdateTime(int updateTime)

### setPruneFactor

    public void setPruneFactor(float pruneFactor)

### setOptimalSize

    public void setOptimalSize(int optimalSize)

### setMinSize

    public void setMinSize(int minSize)

### setMaxSize

    public void setMaxSize(int maxSize)

### getMaxActiveSize

    public int getMaxActiveSize()

### setMaxActiveSize

    public void setMaxActiveSize(int maxActiveSize)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD